com.r3corda.core.contracts / TransactionForVerification

# TransactionForVerification

`data class TransactionForVerification`

A transaction in fully resolved and sig-checked form, ready for passing as input to a verification function.

### Constructors

<init> | `TransactionForVerification(inputs: List<TransactionState<ContractState>>, outputs: List<TransactionState<ContractState>>, attachments: List<Attachment>, commands: List<AuthenticatedObject<CommandData>>, origHash: SecureHash, signers: List<PublicKey>, type: TransactionType)` A transaction in fully resolved and sig-checked form, ready for passing as input to a verification function.

### Properties

attachments | `val attachments: List<Attachment>`
commands | `val commands: List<AuthenticatedObject<CommandData>>`
inputs | `val inputs: List<TransactionState<ContractState>>`
origHash | `val origHash: SecureHash`
outputs | `val outputs: List<TransactionState<ContractState>>`
signers | `val signers: List<PublicKey>`
type | `val type: TransactionType`

### Functions

equals | `fun equals(other: Any?): Boolean`
hashCode | `fun hashCode(): Int`
toTransactionForContract | `fun toTransactionForContract(): TransactionForContract`
verify | `fun verify(): Unit` Verifies that the transaction is valid by running type-specific validation logic.